## hatchling 0.12.0

=== debian/changelog ===
hatchling (0.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Feb 2022 10:10:25 -0400

hatchling (0.11.3-1) unstable; urgency=medium

  * New upstream point-release.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Feb 2022 09:31:53 -0400

hatchling (0.11.2-1) experimental; urgency=low

  * Initial upload. (Closes: #1005257)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Feb 2022 07:23:28 -0400

## hatchling 0.13.0

=== debian/changelog ===
hatchling (0.13.0-1) unstable; urgency=medium

  * New upstream release.
    - Excludes .pyc files by default. (Closes: #1005825)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 16 Feb 2022 15:38:44 -0400

## hatchling 0.14.0

=== debian/changelog ===
hatchling (0.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 22 Feb 2022 16:22:55 -0400

## hatchling 0.15.0

=== tests/downstream/requirements.txt ===
build
packaging
requests
toml
virtualenv>=20.13.1

=== debian/changelog ===
hatchling (0.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Feb 2022 09:06:46 -0400

=== debian/control ===
Source: hatchling
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pathspec,
 python3-pluggy
Standards-Version: 4.6.0
Homepage: https://ofek.dev/hatch/
Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git
Rules-Requires-Root: no

Package: python3-hatchling
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python package build backend used by Hatch
 This is the extensible, standards compliant build backend used by Hatch.
 .
 It may be required to build a Python module from source.

## hatchling 0.22.0

=== debian/changelog ===
hatchling (0.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Apr 2022 11:58:40 -0400

hatchling (0.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Mar 2022 10:36:36 -0400

hatchling (0.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 04 Mar 2022 18:49:46 -0400

hatchling (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 Feb 2022 09:06:15 -0400

## hatchling 1.1.0

=== debian/changelog ===
hatchling (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch upstream URLs to PyPA.
  * Make the Debian Python Team the maintainer of the package, as was always
    intended.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 19 May 2022 22:38:02 -0400

hatchling (0.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 May 2022 10:45:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hatchling
 Section: python
 Priority: optional
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -10,7 +11,7 @@
  python3-pathspec,
  python3-pluggy
 Standards-Version: 4.6.0
-Homepage: https://ofek.dev/hatch/
+Homepage: https://hatch.pypa.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
 Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git
 Rules-Requires-Root: no

## hatchling 1.3.0

=== debian/changelog ===
hatchling (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 26 May 2022 17:00:34 +0200

## hatchling 1.5.0

=== debian/changelog ===
hatchling (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 19 Jul 2022 13:59:44 +0200

## hatchling 1.8.0

=== debian/changelog ===
hatchling (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Aug 2022 17:51:50 +0200

hatchling (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Aug 2022 15:59:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-pathspec,
  python3-pluggy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://hatch.pypa.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
 Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git

## hatchling 1.10.0

=== debian/changelog ===
hatchling (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Sep 2022 12:55:02 +0200

hatchling (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-pathspec Build-Depends, new APIs are used.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Sep 2022 11:04:10 +0200

## hatchling 1.11.0

=== debian/changelog ===
hatchling (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 13 Oct 2022 21:27:09 +0200

## hatchling 1.11.1

=== debian/changelog ===
hatchling (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Dec 2022 17:40:21 -0400

## hatchling 1.12.2

=== debian/changelog ===
hatchling (1.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 06 Jan 2023 23:00:21 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-pathspec,
+ python3-pathspec (>= 0.10),
  python3-pluggy
 Standards-Version: 4.6.1
 Homepage: https://hatch.pypa.io/

## hatchling 1.13.0

=== debian/changelog ===
hatchling (1.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 12 Feb 2023 15:14:19 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-pathspec (>= 0.10),
  python3-pluggy
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://hatch.pypa.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
 Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git

## hatchling 1.14.0

=== debian/changelog ===
hatchling (1.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Build-Depend on python3-trove-classifiers, now required.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Apr 2023 10:11:25 -0400

## hatchling 1.14.1

=== debian/changelog ===
hatchling (1.14.1-1) experimental; urgency=medium

  * New upstream point-release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 May 2023 15:15:54 -0400

## hatchling 1.17.0

=== debian/changelog ===
hatchling (1.17.0-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 13 May 2023 14:09:25 -0400

## hatchling 1.18.0

=== debian/changelog ===
hatchling (1.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 18 Jun 2023 10:35:06 -0400

hatchling (1.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Jun 2023 17:18:10 -0400

## hatchling 1.21.0

=== debian/changelog ===
hatchling (1.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 20 Dec 2023 17:08:12 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-pathspec (>= 0.10),
- python3-pluggy
+ python3-pluggy,
+ python3-trove-classifiers
 Standards-Version: 4.6.2
 Homepage: https://hatch.pypa.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=hatchling

%:
	dh $@ --buildsystem pybuild

override_dh_auto_test:
	# Currently the only tests build packages, we can't run these

## hatchling 1.22.4

=== debian/changelog ===
hatchling (1.22.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Mar 2024 16:09:46 -0400

## hatchling 1.24.2

=== debian/changelog ===
hatchling (1.24.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on python3-packaging.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Apr 2024 18:00:24 -0400

## hatchling 1.25.0

=== debian/changelog ===
hatchling (1.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Jun 2024 21:18:20 -0700

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-packaging (>= 23.2),
  python3-pathspec (>= 0.10),
  python3-pluggy,
  python3-trove-classifiers

## hatchling 1.26.3

=== debian/changelog ===
hatchling (1.26.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-packaging Build-Depends.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Nov 2024 10:21:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-packaging (>= 23.2),
+ python3-packaging (>= 24.2),
  python3-pathspec (>= 0.10),
  python3-pluggy,
  python3-trove-classifiers

## hatchling 1.27.0

=== debian/changelog ===
hatchling (1.27.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Dec 2025 10:15:08 -0800

hatchling (1.27.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 26 Jun 2025 11:52:24 +0200

hatchling (1.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 21 Dec 2024 11:14:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: hatchling
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- dh-sequence-python3,
- pybuild-plugin-pyproject,
- python3-all,
- python3-packaging (>= 24.2),
- python3-pathspec (>= 0.10),
- python3-pluggy,
- python3-trove-classifiers
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-packaging (>= 24.2),
+               python3-pathspec (>= 0.10),
+               python3-pluggy,
+               python3-trove-classifiers
+Standards-Version: 4.7.0
 Homepage: https://hatch.pypa.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
 Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git

## hatchling 1.27.0-1trisquel1

=== debian/changelog ===
hatchling (1.27.0-1trisquel1) ecne-backports; urgency=medium

  * Backport dependency for newer yt-dlp

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 07 Feb 2026 21:42:03 +0000

=== debian/control ===
Source: hatchling
Section: python
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-packaging (>= 24.2),
 python3-pathspec (>= 0.10),
 python3-pluggy,
 python3-trove-classifiers
Standards-Version: 4.7.0
Homepage: https://hatch.pypa.io/
Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git
Rules-Requires-Root: no

Package: python3-hatchling
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python package build backend used by Hatch
 This is the extensible, standards compliant build backend used by Hatch.
 .
 It may be required to build a Python module from source.

## hatchling 1.27.0-1+11.0trisquel1

=== debian/changelog ===
hatchling (1.27.0-1+11.0trisquel1) aramo-backports; urgency=medium

  * Backport dependency for newer yt-dlp

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 08 Feb 2026 01:18:16 +0000

## hatchling 1.28.0

=== debian/changelog ===
hatchling (1.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Drop Rules-Requires-Root: no, as it's now the default.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Dec 2025 18:03:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hatchling
 Section: python
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,11 +12,10 @@
  python3-pathspec (>= 0.10),
  python3-pluggy,
  python3-trove-classifiers
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://hatch.pypa.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
 Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git
-Rules-Requires-Root: no
 
 Package: python3-hatchling
 Architecture: all

## hatchling 1.29.0

=== debian/changelog ===
hatchling (1.29.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, drop Priority: optional.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Mar 2026 11:40:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hatchling
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
@@ -12,7 +11,7 @@
  python3-pathspec (>= 0.10),
  python3-pluggy,
  python3-trove-classifiers
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://hatch.pypa.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hatchling
 Vcs-Git: https://salsa.debian.org/python-team/packages/hatchling.git
